[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ActiveDefaultControlChanged

Notification of a changed active DefaultControl of a form.

## Declaration

Source position: controls.pp line 1728

`public procedure TControl.ActiveDefaultControlChanged(`
`NewControl: TControl`
`); virtual;`

## Arguments

`NewControl` |  | The new DefaultControl.

## Description

When the user pressed ENTER in a form, its DefaultControl will receive a Click event.

## Errors

Currently NewControl can be Nil, even if it should not be.